> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Comments

> Retrieve a list of comments



## OpenAPI

````yaml get /comment
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /comment:
    get:
      tags:
        - Comment
      summary: List Comments
      description: Retrieve a list of comments
      parameters:
        - name: id
          in: query
          description: Comment ID
          schema:
            type: string
        - name: created_at
          in: query
          description: Comment creation date
          schema:
            type: string
        - name: organisation_id
          in: query
          description: Organisation ID
          schema:
            type: string
        - name: updated_at
          in: query
          description: Latest update
          schema:
            type: string
        - name: conversation_id
          in: query
          description: Conversation ID
          schema:
            type: string
        - name: message_id
          in: query
          description: Message ID
          schema:
            type: string
        - name: author_id
          in: query
          description: Author ID
          schema:
            type: string
        - name: content
          in: query
          description: Content of comment
          schema:
            type: string
        - name: select
          in: query
          description: Filtering Columns
          schema:
            type: string
        - name: order
          in: query
          description: 'Ordering. Allowed Fields: `created_at`'
          schema:
            type: string
        - name: Range
          in: header
          description: Limiting and Pagination
          schema:
            type: string
        - name: Range-Unit
          in: header
          description: Limiting and Pagination
          schema:
            type: string
            default: items
        - name: offset
          in: query
          description: Limiting and Pagination
          schema:
            type: string
        - name: limit
          in: query
          description: Limiting and Pagination
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/comment'
components:
  schemas:
    comment:
      type: object
      properties:
        id:
          type: string
          description: Comment ID
          format: uuid
          default: random uuid
        created_at:
          type: string
          description: Comment creation date
          format: timestamp with time zone
          default: now()
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        conversation_id:
          type: string
          description: Conversation ID
          format: uuid
        message_id:
          type: string
          description: Message ID
          format: uuid
          nullable: true
        author_id:
          type: string
          description: Author ID
          format: uuid
          nullable: true
        content:
          type: object
          description: Content of comment
          format: jsonb
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````